# $Revision: 1.65 $, $Date: 2004/12/01 12:52:55 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	GD - interface to GD graphics library
Summary(pl):	GD - interfejs do biblioteki graficznej GD
Name:		perl-GD
Version:	2.19
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/GD/GD-%{version}.tar.gz
# Source0-md5:	c340ab955aca622df1dcc28f8e5419aa
Patch0:		%{name}-paths.patch
BuildRequires:	XFree86-devel
BuildRequires:	gd-devel >= 2.0.28
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	gd >= 2.0.28
Provides:	perl-GD(gif) = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GD.pm is a Perl interface to Thomas Boutell's GD graphics library. GD
allows you to create color drawings using a large number of graphics
primitives, and emit the drawings as PNG files.

%description -l pl
GD.pm jest perlowym interfejsem do biblioteki graficznej GD Thomasa
Boutella. GD pozwala na tworzenie kolorowych rysunkw przy uyciu
duej liczby graficznych prymityww oraz zapisywanie ich w formacie
PNG.

%prep
%setup -q -n GD-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{perl_vendorlib}/GD}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -fa demos bdf_scripts \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

gzip -9nf $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/bdf_scripts/README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README*
%{perl_vendorarch}/GD.pm
%{perl_vendorarch}/GD
%{perl_vendorarch}/qd.pl
%dir %{perl_vendorarch}/auto/GD
%{perl_vendorarch}/auto/GD/autosplit.ix
%{perl_vendorarch}/auto/GD/GD.bs
%attr(755,root,root) %{perl_vendorarch}/auto/GD/GD.so
%dir %{perl_vendorlib}/GD
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-GD.spec,v $
Revision 1.65  2004/12/01 12:52:55  radek
- autoupdated to 2.19

Revision 1.64  2004/11/13 22:51:55  adamg
- updated to 2.18

Revision 1.63  2004/10/24 14:55:55  paladine
- GD

Revision 1.62  2004/08/12 10:16:14  blues
- release 2

Revision 1.61  2004/08/12 10:08:17  blues
- release 1.1

Revision 1.60  2004/07/27 20:56:59  qboosh
- updated to 2.16

Revision 1.59  2004/07/23 21:25:19  qboosh
- updated to 2.15, removed obsolete gif patch
  GIF support is back upstream - always present, removed bcond

Revision 1.58  2004/05/07 00:32:01  ankry
- rel. 2

Revision 1.57  2004/05/06 18:01:29  ankry
- fixed perl-devel BR

Revision 1.56  2004/04/14 16:45:10  ankry
- cosmetics

Revision 1.55  2004/02/08 20:49:01  qboosh
- new-style bconds

Revision 1.54  2004/02/08 08:37:32  misi3k
- updated to 2.12

Revision 1.53  2003/10/26 22:27:08  qboosh
- updated to 2.11

Revision 1.52  2003/09/09 10:24:36  ankry
- spaces -> tab

Revision 1.51  2003/08/18 08:08:48  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.50  2003/07/03 18:58:27  qboosh
- updated deps, tests are passed again

Revision 1.49  2003/06/29 14:12:38  migo
- up to 2.07

Revision 1.48  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.47  2003/05/25 06:24:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/03/01 19:36:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.45  2003/02/28 14:56:55  ankry
- fix description

Revision 1.44  2003/02/24 20:31:53  radek
- use the __perl macro

Revision 1.43  2003/02/18 15:32:37  ankry
- massive attack: change CPAN URLs

Revision 1.42  2003/01/10 22:01:35  qboosh
- updated to 2.06 (for gd >= 2.0.5)
- updated gif support patch (use version for 2.041 - applies OK)

Revision 1.41  2002/10/18 01:25:44  ankry
- version 2.02, rel. 1
- cleaning

Revision 1.40  2002/09/11 20:25:26  qboosh
- added conditional GIF support (forward-port from 1.41; default on)
- removed BR: perl-Math-Trig - Math::Trig is in perl now
- don't use yes, it looks misleading - prompt() won't read from pipe anyway
- release 2

Revision 1.39  2002/09/06 19:19:34  radek
- upgraded to 2.01
STBR

Revision 1.38  2002/08/10 22:45:02  qboosh
- updated to 1.41, added GIF support

Revision 1.37  2002/07/20 23:09:32  qboosh
- added %%{perl_sitelib}/GD dir for noarch GD::* modules
- release 2

Revision 1.36  2002/07/20 15:04:15  qboosh
- updated to 1.40
- new %%doc, removed BRs implied by gd-devel

Revision 1.35  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.34  2002/03/03 22:02:49  marcus
- rel.2.

Revision 1.33  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/02/10 15:26:48  depesz
adapterized

Revision 1.31  2002/01/28 04:59:24  kloczek
- updated to 1.38 (bugfixes and integrated gd2 support - so remove gd2 patch).

Revision 1.30  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.29  2001/07/13 16:29:47  qboosh
- gd2 changes: use freetype2, BuildRequires: libtiff-devel
- fixed License: it's not GPL, but perl's "Artistic License"
- release 3

Revision 1.28  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.27  2001/04/17 12:09:29  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.26  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.25  2001/04/10 19:34:12  mis
- autoupdated to 1.33

Revision 1.24  2001/03/19 21:36:50  kloczek
- release 3: rebuild against freetype1.

Revision 1.23  2001/01/25 20:03:45  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.22  2001/01/06 14:45:13  kloczek
- another fix in %%install.

Revision 1.21  2001/01/06 14:39:51  kloczek
- s/_exampledir/_examplesdir/

Revision 1.20  2001/01/06 14:30:33  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.19  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.18  2000/11/12 03:55:01  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.17  2000/11/12 03:50:47  kloczek
- use new rpm automation.

Revision 1.16  2000/11/11 01:10:06  lukasz
- updated to 1.32

Revision 1.15  2000/08/31 10:19:24  kloczek
- UNINST=0.

Revision 1.14  2000/08/31 09:26:37  wiget
don't try to uninstall GD at make install time

Revision 1.13  2000/08/31 09:24:09  wiget
fix non interactive build

Revision 1.12  2000/08/31 06:32:33  kloczek
- updated to 1.30.

Revision 1.11  2000/08/31 05:34:31  kloczek
- release 3,
- rebuild against gd >= 1.8.3.

Revision 1.10  2000/07/31 12:29:55  kloczek
- spec adapterized.

Revision 1.9  2000/07/28 13:58:21  zagrodzki
- release 2, built against libpng >= 1.0.8

Revision 1.8  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.4  2000/02/17 17:29:49  pius
- updated to 1.23
- added more BuildRequires rules

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/31 15:49:00  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules
- fixed required version of perl

Revision 1.1  1999/10/09 23:49:19  pius
- initial release
